Package org.apache.aries.jax.rs.whiteboard.cxf.jaxrs.client

## Class PromiseRxInvokerProviderImpl

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.cxf.jaxrs.client.PromiseRxInvokerProviderImpl

All Implemented Interfaces:
  `javax.ws.rs.client.RxInvokerProvider<org.osgi.service.jaxrs.client.PromiseRxInvoker>`

    public class PromiseRxInvokerProviderImpl
    extends Object
    implements javax.ws.rs.client.RxInvokerProvider<org.osgi.service.jaxrs.client.PromiseRxInvoker>

### Constructor Summary

Constructors
`PromiseRxInvokerProviderImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.service.jaxrs.client.PromiseRxInvoker` `getRxInvoker​(javax.ws.rs.client.SyncInvoker syncInvoker, ExecutorService executorService)`
`boolean` `isProviderFor​(Class<?> clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PromiseRxInvokerProviderImpl

    public PromiseRxInvokerProviderImpl()

### Method Detail

#### isProviderFor

    public boolean isProviderFor​(Class<?> clazz)

Specified by:
  `isProviderFor` in interface `javax.ws.rs.client.RxInvokerProvider<org.osgi.service.jaxrs.client.PromiseRxInvoker>`

#### getRxInvoker

    public org.osgi.service.jaxrs.client.PromiseRxInvoker getRxInvoker​(javax.ws.rs.client.SyncInvoker syncInvoker,
                                                                       ExecutorService executorService)

Specified by:
  `getRxInvoker` in interface `javax.ws.rs.client.RxInvokerProvider<org.osgi.service.jaxrs.client.PromiseRxInvoker>`